# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.3.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.2.0...@billogram/foundation-table@1.3.0) (2020-01-30)

### Bug Fixes

* Show pointer when hovering menu item ([20b13a73](https://github.com/billogram/frontend-foundation/commit/20b13a73))


### Features

* Make disabled optional in menu item ([ca602ce3](https://github.com/billogram/frontend-foundation/commit/ca602ce3))
* Implement useTableRowGroupContext ([9285cd7f](https://github.com/billogram/frontend-foundation/commit/9285cd7f))



## [1.2.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.1.0...@billogram/foundation-table@1.2.0) (2020-01-27)

### Bug Fixes

* Use toggle hook for table row group toggle states ([130ea4da](https://github.com/billogram/frontend-foundation/commit/130ea4da))


### Features

* Make it possible to update a table row ([f34c2525](https://github.com/billogram/frontend-foundation/commit/f34c2525))
* Add refetchTable function to row group context ([c8d50b97](https://github.com/billogram/frontend-foundation/commit/c8d50b97))
* Add a bit more padding to the left of the async button ([f231b03c](https://github.com/billogram/frontend-foundation/commit/f231b03c))
* Make it possible to hide async button ([5293a7ed](https://github.com/billogram/frontend-foundation/commit/5293a7ed))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.0.1...@billogram/foundation-table@1.1.0) (2020-01-22)

### Bug Fixes

* Use 4px border-radius ([41cb8169](https://github.com/billogram/frontend-foundation/commit/41cb8169))
* Fix border radius for table rows ([f220e7fe](https://github.com/billogram/frontend-foundation/commit/f220e7fe))
* Update copy key for fetch more buttons ([8f4c1402](https://github.com/billogram/frontend-foundation/commit/8f4c1402))


### Features

* Move sort dropdown to caption ([bcfa4f56](https://github.com/billogram/frontend-foundation/commit/bcfa4f56))
* Include total count in table title ([f166e8cb](https://github.com/billogram/frontend-foundation/commit/f166e8cb))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-table@1.0.1) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Prefer record type ([78ef5921](https://github.com/billogram/frontend-foundation/commit/78ef5921))
* Prefer interface to type alias ([a9343e5b](https://github.com/billogram/frontend-foundation/commit/a9343e5b))
* Use dependencies instead of peer dependencies ([a1cbff4b](https://github.com/billogram/frontend-foundation/commit/a1cbff4b))


### Features

* Add typed contexts ([2c4b571d](https://github.com/billogram/frontend-foundation/commit/2c4b571d))
* Implement list data provider ([4c348b08](https://github.com/billogram/frontend-foundation/commit/4c348b08))
* Support additional table data ([68e7bf10](https://github.com/billogram/frontend-foundation/commit/68e7bf10))
* Implement FoundationTable ([b2a58d69](https://github.com/billogram/frontend-foundation/commit/b2a58d69))
* Scaffold out @billogram/foundation-table ([b46c18bb](https://github.com/billogram/frontend-foundation/commit/b46c18bb))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-table@1.0.0) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Prefer record type ([78ef5921](https://github.com/billogram/frontend-foundation/commit/78ef5921))
* Prefer interface to type alias ([a9343e5b](https://github.com/billogram/frontend-foundation/commit/a9343e5b))
* Use dependencies instead of peer dependencies ([a1cbff4b](https://github.com/billogram/frontend-foundation/commit/a1cbff4b))


### Features

* Add typed contexts ([2c4b571d](https://github.com/billogram/frontend-foundation/commit/2c4b571d))
* Implement list data provider ([4c348b08](https://github.com/billogram/frontend-foundation/commit/4c348b08))
* Support additional table data ([68e7bf10](https://github.com/billogram/frontend-foundation/commit/68e7bf10))
* Implement FoundationTable ([b2a58d69](https://github.com/billogram/frontend-foundation/commit/b2a58d69))
* Scaffold out @billogram/foundation-table ([b46c18bb](https://github.com/billogram/frontend-foundation/commit/b46c18bb))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.
