import React, { Fragment } from 'react';
import FoundationTableRowSearchResultUnknownMatch from './FoundationTableRowSearchResultUnknownMatch';
export default function FoundationTableRowSearchResultGroup(_ref) {
  var data = _ref.data,
      fields = _ref.fields,
      query = _ref.query;
  var elements = fields.flatMap(function (field) {
    return field(data, query);
  }).filter(function (element) {
    return element !== null && element !== void 0;
  });
  return (// Using a `Fragment` here to alleviate some TypeScript headache.
    // eslint-disable-next-line react/jsx-no-useless-fragment
    React.createElement(Fragment, null, elements.length > 0 ? elements : React.createElement(FoundationTableRowSearchResultUnknownMatch, null))
  );
}
//# sourceMappingURL=FoundationTableRowSearchResultGroup.js.map